Kodi Community Forum

Full Version: Can't install/update the latest version
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
Greetings fellow partners of Nebula,

I've been using this skin on Ubuntu 16.04 since the release of v5.0.0, until I encountered a problem:

Kodi fails to install the newest v5.5.0 giving a ‘dependency error’ when I try to update the previous version, install a new one through the repository and through an offical .zip downloaded from Kodi's website.

Here's the debug log:
tizavezisa (paste)

Luckily, I had a copy of the v5.0.0 .zip file that allowed me to install Nebula without any issue.
The same problem occurs with lots of other skins, but this is the one I like the most, a must-have to my HTPC, and I'd like to use the latest and most optimized version.

How could we get passed through this issue?

Thanks for the attention.
You need to manually install the latest version of the script.skin.helper.service addon:

https://mirrors.kodi.tv/addons/krypton/s...r.service/

Tgx
No luck, mate.

I've tried this before but it always fails at some point of the installation.
I keep trying to manually install the component that failed to install, but then the failure goes to another component and so on.
I've tried with 5 different ones.

I appreciate your reply.
Start from a clean installation

Tgx
I always do it as well.
I delete all Kodi config files and start from a fresh new installation, because when a dependency error occurs I won't be able to install anything anymore.
You have to wipe out the addons folder too.

Tgx
Yes, I erase the .kodi located in the Home user folder that contains all these folders:
addons
media
system
temp
userdata

Even if uninstall it via Terminal, sudo apt remove --purge kodi won't delete this folder that contains stored configuration files for the next installation.
Like I said, it's a brand new fresh start.
Have you tried to install another skin? Titan should have similar prerequisites.

Tgx
Yes, it gives me the same issue of Nebula.

These are the skins I can't install:
adonic
Bello 6
Titan
Phenomenal
Arctic Zephyr
Grid
Andromeda
Rapier
Horizon
Unity
fuseNeue

The others not listed here install successfully.

I really like Nebula, it gives me an unique touch to my HTPC. If you could edit a special build for me, it would be highly appreciated.
I think you a have a file permission issue. 

Tgx
It could also be an issue on the kodi mirror server:

180304 (thread)

or an issue with your openssl certificates.

Tgx
The maximum administrative rights I can give to Kodi is by running it with gksudo kodi or sudo kodi ;
The results were the same, failed to install a dependency.

If this was the problem, how could it explain the neat installation of the v5.0.0?
In your logs there are problems with ssl certificates and openssl.

Is your pc time and date ok?

Is your distribution updated to the latest version?

Tgx
(2018-06-03, 21:55)Tgxcorporation Wrote: [ -> ]It could also be an issue on the kodi mirror server:

180304 (thread)

or an issue with your openssl certificates.

Tgx
I think it's not, the same error is given installing offline with a .zip file download from Kodi's website.
(2018-06-03, 22:19)Tgxcorporation Wrote: [ -> ]In your logs there are problems with ssl certificates and openssl.

Is your pc time and date ok?

Is your distribution updated to the latest version?

Tgx
Yes, everything's fine. 
The date works normally and I use the latest LTS distribution of Ubuntu, no Beta testings for me.
Pages: 1 2